Loading...
Searching...
No Matches
mongocxx::v_noabi::events::topology_description::server_descriptions Class Reference

`#include <mongocxx/v_noabi/mongocxx/events/topology_description.hpp>`

## Description

An array of server_description instances.

## Public Types

using | const_iterator = container::const_iterator
| The array's const iterator type.
using | iterator = container::iterator
| The array's iterator type.

## Public Member Functions

| server_descriptions (server_descriptions &&) noexcept
| Move constructs a server_descriptions array.
| ~server_descriptions ()
| Destroys a server_descriptions array.
server_descriptions & | operator= (server_descriptions &&) noexcept
| Move assigns a server_descriptions array.
std::size_t | size () const noexcept
| The number of server_description instances in the array.
iterator | begin () noexcept
| Returns an iterator to the beginning.
const_iterator | begin () const noexcept
| Returns an iterator to the beginning.
iterator | end () noexcept
| Returns an iterator to the end.
const_iterator | end () const noexcept
| Returns an iterator to the end.

## Member Typedef Documentation

## const_iterator

using mongocxx::v_noabi::events::topology_description::server_descriptions::const_iterator = container::const_iterator

The array's const iterator type.

## iterator

using mongocxx::v_noabi::events::topology_description::server_descriptions::iterator = container::iterator

The array's iterator type.

## Constructor & Destructor Documentation

## server_descriptions()

mongocxx::v_noabi::events::topology_description::server_descriptions::server_descriptions | ( | server_descriptions && |  | ) |

noexcept

Move constructs a server_descriptions array.

## ~server_descriptions()

mongocxx::v_noabi::events::topology_description::server_descriptions::~server_descriptions | ( |  | ) |

Destroys a server_descriptions array.

## Member Function Documentation

## begin() [1/2]

const_iterator mongocxx::v_noabi::events::topology_description::server_descriptions::begin | ( |  | ) | const

inline noexcept

Returns an iterator to the beginning.

## begin() [2/2]

iterator mongocxx::v_noabi::events::topology_description::server_descriptions::begin | ( |  | ) |

inline noexcept

Returns an iterator to the beginning.

## end() [1/2]

const_iterator mongocxx::v_noabi::events::topology_description::server_descriptions::end | ( |  | ) | const

inline noexcept

Returns an iterator to the end.

## end() [2/2]

iterator mongocxx::v_noabi::events::topology_description::server_descriptions::end | ( |  | ) |

inline noexcept

Returns an iterator to the end.

## operator=()

server_descriptions & mongocxx::v_noabi::events::topology_description::server_descriptions::operator= | ( | server_descriptions && |  | ) |

noexcept

Move assigns a server_descriptions array.

## size()

std::size_t mongocxx::v_noabi::events::topology_description::server_descriptions::size | ( |  | ) | const

inline noexcept

The number of server_description instances in the array.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/events/topology_description.hpp